//
//  Prerelease License - for engineering feedback and testing purposes
//  only. Not for sale.
//
//  generate_lookup.cpp
//
//  Code generation for function 'generate_lookup'
//


// Include files
#include "generate_lookup.h"
#include "absolute_pressure_derivative_wrapper.h"
#include "generate_lookup_data.h"
#include "rt_nonfinite.h"
#include <cstring>

// Function Definitions
void generate_lookup()
{
  static const double dv[1001] = { 0.0, -3.3556065547294396, -3.3555952946031837,
    -3.3555765278400385, -3.3555502545017841, -3.3555164747127533,
    -3.3554751886379917, -3.3554263965378421, -3.3553700986005768,
    -3.3553062951315882, -3.3552349864478836, -3.3551561729108181,
    -3.3550698549151896, -3.3549760328965021, -3.3548747073246088,
    -3.3547658787146197, -3.3546495476082558, -3.3545257145947627,
    -3.3543943802949956, -3.3542555453732414, -3.3541092105253911,
    -3.3539553764889423, -3.3537940440379925, -3.3536252139855169,
    -3.3534488871785815, -3.3532650645081286, -3.3530737468959968,
    -3.3528749353067653, -3.3526686307402191, -3.352454834235238,
    -3.3522335468668141, -3.3520047697497084, -3.3517685040339904,
    -3.3515247509092587, -3.3512735116016739, -3.3510147873750875,
    -3.350748579532528, -3.3504748894124283, -3.3501937183921591,
    -3.3499050678865396, -3.3496089393477226, -3.3493053342657544,
    -3.3489942541676618, -3.3486757006191534, -3.3483496752222264,
    -3.348016179617491, -3.347675215482405, -3.3473267845320582,
    -3.3469708885194027, -3.3466075292347295, -3.3462367085056051,
    -3.3458584281974946, -3.3454726902126133, -3.3450794964914068,
    -3.3446788490115704, -3.3442707497877557, -3.3438552008727704,
    -3.3434322043562528, -3.3430017623654056, -3.3425638770647055,
    -3.3421185506563562, -3.3416657853796492, -3.3412055835108943,
    -3.3407379473642789, -3.340262879290913, -3.3397803816793337,
    -3.3392904569554691, -3.3387931075821768, -3.3382883360596618,
    -3.3377761449256949, -3.3372565367547509, -3.3367295141587689,
    -3.3361950797866275, -3.3356532363246272, -3.3351039864961352,
    -3.3345473330614315, -3.3339832788180752, -3.3334118266007198,
    -3.3328329792809388, -3.3322467397674931, -3.331653111005898,
    -3.3310520959789844, -3.3304436977064329, -3.3298279192447282,
    -3.3292047636875903, -3.3285742341653211, -3.3279363338454333,
    -3.3272910659320916, -3.3266384336664045, -3.3259784403262271,
    -3.32531108922642, -3.3246363837184134, -3.3239543271905045,
    -3.3232649230676645, -3.3225681748116589, -3.321864085920943,
    -3.3211526599305832, -3.3204339004123149, -3.3197078109744895,
    -3.3189743952621478, -3.3182336569567479, -3.3174855997764432,
    -3.3167302274757797, -3.3159675438459306, -3.3151975527145066,
    -3.3144202579454687, -3.313635663439328, -3.3128437731329146,
    -3.3120445909994949, -3.3112381210486488, -3.3104243673261644,
    -3.3096033339143518, -3.308775024931597, -3.3079394445325097,
    -3.3070965969080794, -3.3062464862853167, -3.3053891169274712,
    -3.3045244931338136, -3.3036526192398115, -3.3027734996169396,
    -3.3018871386727531, -3.3009935408507722, -3.3000927106304871,
    -3.2991846525273534, -3.2982693710927857, -3.2973468709139979,
    -3.2964171566141331, -3.2954802328520731, -3.2945361043225811,
    -3.293584775756103, -3.2926262519189589, -3.2916605376129566,
    -3.2906876376757177, -3.2897075569804466, -3.2887203004359566,
    -3.287725872986607, -3.2867242796123595, -3.2857155253286345,
    -3.2846996151862324, -3.2836765542715529, -3.2826463477062471,
    -3.2816090006474248, -3.2805645182875232, -3.2795129058542258,
    -3.2784541686105291, -3.2773883118545846, -3.2763153409198225,
    -3.2752352611747471, -3.2741480780230772, -3.2730537969035174,
    -3.271952423289846, -3.270843962690885, -3.2697284206504333,
    -3.268605802747159, -3.2674761145946984, -3.2663393618415379,
    -3.2651955501709207, -3.2640446853009562, -3.2628867729845132,
    -3.2617218190090806, -3.260549829196874, -3.2593708094047642,
    -3.2581847655241569, -3.2569917034810683, -3.2557916292359543,
    -3.2545845487838037, -3.2533704681540634, -3.2521493934104768,
    -3.250921330651237, -3.2496862860087896, -3.2484442656499075,
    -3.2471952757755065, -3.2459393226207922, -3.2446764124550409,
    -3.2434065515816712, -3.24212974633814, -3.2408460030959505,
    -3.2395553282606109, -3.238257728271468, -3.2369532096018903,
    -3.2356417787589686, -3.2343234422836762, -3.2329982067507466,
    -3.2316660787686149, -3.2303270649793907, -3.2289811720588069,
    -3.2276284067162209, -3.2262687756944679, -3.2249022857699172,
    -3.2235289437524304, -3.2221487564851845, -3.2207617308447736,
    -3.2193678737410854, -3.2179671921173227, -3.2165596929498204,
    -3.2151453832481849, -3.213724270055085, -3.2122963604462917,
    -3.2108616615306169, -3.2094201804498397, -3.2079719243787306,
    -3.206516900524873, -3.2050551161287677, -3.2035865784636615,
    -3.2021112948355666, -3.2006292725832051, -3.1991405190779139,
    -3.1976450417236677, -3.1961428479570033, -3.1946339452468866,
    -3.1931183410948067, -3.1915960430346253, -3.1900670586325743,
    -3.1885313954871704, -3.1869890612291671, -3.1854400635215585,
    -3.1838844100594632, -3.1823221085700872, -3.1807531668127167,
    -3.1791775925785934, -3.1775953936909254, -3.1760065780048192,
    -3.174411153407207, -3.1728091278168016, -3.1712005091840627,
    -3.1695853054911414, -3.1679635247517677, -3.1663351750113318,
    -3.1647002643466475, -3.1630588008660618, -3.1614107927093134,
    -3.1597562480475063, -3.1580951750830435, -3.1564275820495813,
    -3.1547534772119885, -3.1530728688662428, -3.1513857653394313,
    -3.149692174989668, -3.1479921062060434, -3.1462855674085524,
    -3.14457256704808, -3.1428531136063014, -3.14112721559564,
    -3.1393948815592183, -3.1376561200708206, -3.13591093973477,
    -3.1341593491859383, -3.1324013570896714, -3.13063697214171,
    -3.1288662030681422, -3.1270890586253679, -3.1253055476000147,
    -3.1235156788088849, -3.1217194610988956, -3.1199169033470349,
    -3.1181080144602857, -3.1162928033755843, -3.1144712790597353,
    -3.1126434505093714, -3.1108093267508972, -3.1089689168404151,
    -3.1071222298636743, -3.1052692749359982, -3.1034100612022568,
    -3.1015445978367628, -3.0996728940432359, -3.0977949590547533,
    -3.0959108021336457, -3.0940204325714751, -3.0921238596889777,
    -3.0902210928359617, -3.0883121413912766, -3.0863970147627562,
    -3.0844757223871273, -3.0825482737299685, -3.0806146782856487,
    -3.07867494557725, -3.0767290851565363, -3.0747771066038374,
    -3.0728190195280218, -3.070854833566441, -3.0688845583848545,
    -3.0669082036773383, -3.0649257791662636, -3.0629372946022149,
    -3.0609427597639223, -3.0589421844581919, -3.0569355785198686,
    -3.0549229518117231, -3.0529043142244459, -3.0508796756765379,
    -3.048849046114241, -3.0468124355115238, -3.04476985386996,
    -3.0427213112186822, -3.0406668176143272, -3.0386063831409524,
    -3.0365400179099904, -3.0344677320601514, -3.0323895357573827,
    -3.0303054391947919, -3.02821545259258, -3.0261195861979773,
    -3.0240178502851638, -3.0219102551552237, -3.0197968111360503,
    -3.0176775285823076, -3.0155524178753379, -3.0134214894230933,
    -3.0112847536600889, -3.0091422210473309, -3.0069939020721987,
    -3.0048398072484632, -3.0026799471161292, -3.0005143322414352,
    -2.998342973216733, -2.9961658806604641, -2.9939830652170309,
    -2.9917945375567947, -2.9896003083759566, -2.9874003883964986,
    -2.9851947883661314, -2.9829835190581862, -2.9807665912715953,
    -2.978544015830777, -2.976315803585579, -2.9740819654112025,
    -2.9718425122081529, -2.9695974549021473, -2.9673468044440332,
    -2.9650905718097493, -2.9628287680002243, -2.9605614040413153,
    -2.958288490983735, -2.9560100399029787, -2.9537260618992551,
    -2.9514365680974128, -2.9491415696468586, -2.9468410777214862,
    -2.9445351035196241, -2.94222365826393, -2.9399067532013357,
    -2.9375843996029762, -2.9352566087640937, -2.9329233920040085,
    -2.9305847606659863, -2.9282407261172105, -2.9258912997486775,
    -2.9235364929751504, -2.9211763172350556, -2.918810783990434,
    -2.916439904726841, -2.91406369095328, -2.9116821542021496,
    -2.9092953060291382, -2.906903158013153, -2.9045057217562533,
    -2.902103008883584, -2.8996950310432621, -2.897281799906354,
    -2.8948633271667448, -2.892439624541109, -2.8900107037687959,
    -2.8875765766117816, -2.8851372548545688, -2.8826927503041309,
    -2.8802430747898162, -2.8777882401632882, -2.8753282582984343,
    -2.8728631410912864, -2.870392900459966, -2.8679175483445749,
    -2.8654370967071419, -2.8629515575315279, -2.8604609428233667,
    -2.8579652646099607, -2.8554645349402263, -2.8529587658846083,
    -2.8504479695349909, -2.847932158004626, -2.84541134342807,
    -2.842885537961068, -2.8403547537805092, -2.837819003084336,
    -2.8352782980914535, -2.8327326510416708, -2.8301820741956023,
    -2.827626579834591, -2.8250661802606487, -2.8225008877963482,
    -2.8199307147847525, -2.8173556735893439, -2.8147757765939385,
    -2.8121910362025972, -2.8096014648395515, -2.8070070749491336,
    -2.804407878995669, -2.8018038894634234, -2.7991951188564981,
    -2.7965815796987723, -2.7939632845338096, -2.7913402459247552,
    -2.7887124764543021, -2.786079988724568, -2.7834427953570273,
    -2.7808009089924361, -2.7781543422907431, -2.775503107931002,
    -2.7728472186113065, -2.7701866870486826, -2.7675215259790331,
    -2.7648517481570352, -2.7621773663560729, -2.7594983933681343,
    -2.7568148420037462, -2.7541267250918944, -2.7514340554799164,
    -2.7487368460334403, -2.7460351096363009, -2.7433288591904379,
    -2.7406181076158371, -2.7379028678504196, -2.7351831528499879,
    -2.7324589755881155, -2.7297303490560831, -2.7269972862627725,
    -2.7242598002346115, -2.7215179040154651, -2.7187716106665603,
    -2.7160209332664076, -2.7132658849106943, -2.710506478712233,
    -2.7077427278008557, -2.7049746453233259, -2.7022022444432681,
    -2.6994255383410724, -2.6966445402138119, -2.6938592632751632,
    -2.6910697207553111, -2.6882759259008675, -2.6854778919747906,
    -2.6826756322562959, -2.6798691600407665, -2.6770584886396751,
    -2.6742436313804889, -2.6714246016065966, -2.6686014126772117,
    -2.6657740779672894, -2.6629426108674368, -2.6601070247838381,
    -2.6572673331381615, -2.6544235493674617, -2.6515756869241143,
    -2.6487237592757205, -2.6458677799050103, -2.6430077623097681,
    -2.6401437200027509, -2.6372756665115777, -2.6344036153786687,
    -2.631527580161146, -2.6286475744307469, -2.6257636117737388,
    -2.6228757057908285, -2.6199838700970819, -2.61708811832183,
    -2.6141884641085862, -2.6112849211149483, -2.6083775030125302,
    -2.605466223486856, -2.6025510962372804, -2.5996321349769049,
    -2.5967093534324777, -2.5937827653443164, -2.59085238446622,
    -2.58791822456537, -2.584980299422257, -2.5820386228305816,
    -2.5790932085971709, -2.5761440705418881, -2.5731912224975497,
    -2.5702346783098262, -2.5672744518371617, -2.5643105569506908,
    -2.5613430075341324, -2.5583718174837191, -2.5553970007080942,
    -2.5524185711282383, -2.5494365426773635, -2.5464509293008377,
    -2.5434617449560872, -2.5404690036125159, -2.5374727192514062,
    -2.5344729058658393, -2.5314695774605998, -2.528462748052088,
    -2.525452431668235, -2.522438642348404, -2.5194213941433103,
    -2.5164007011149261, -2.5133765773363956, -2.51034903689194,
    -2.5073180938767727, -2.5042837623970051, -2.5012460565695624,
    -2.4982049905220909, -2.4951605783928645, -2.4921128343307046,
    -2.4890617724948791, -2.4860074070550233, -2.4829497521910366,
    -2.47988882209301, -2.4768246309611195, -2.473757193005544,
    -2.4706865224463748, -2.4676126335135278, -2.4645355404466462,
    -2.4614552574950155, -2.458371798917474, -2.4552851789823187,
    -2.4521954119672174, -2.4491025121591172, -2.4460064938541577,
    -2.4429073713575757, -2.4398051589836163, -2.4366998710554419,
    -2.4335915219050452, -2.4304801258731557, -2.4273656973091455,
    -2.4242482505709471, -2.4211278000249568, -2.4180043600459444,
    -2.4148779450169657, -2.4117485693292671, -2.4086162473822,
    -2.4054809935831249, -2.4023428223473244, -2.3992017480979104,
    -2.396057785265735, -2.3929109482892956, -2.3897612516146514,
    -2.3866087096953246, -2.383453336992214, -2.3802951479735022,
    -2.3771341571145665, -2.3739703788978823, -2.3708038278129449,
    -2.3676345183561605, -2.3644624650307717, -2.3612876823467541,
    -2.3581101848207364, -2.3549299869758977, -2.351747103341884,
    -2.3485615484547169, -2.3453733368566967, -2.3421824830963187,
    -2.3389890017281787, -2.3357929073128796, -2.3325942144169409,
    -2.3293929376127123, -2.3261890914782768, -2.322982690597363,
    -2.3197737495592534, -2.3165622829586896, -2.3133483053957846,
    -2.3101318314759309, -2.3069128758097119, -2.3036914530128034,
    -2.3004675777058905, -2.2972412645145694, -2.2940125280692634,
    -2.2907813830051236, -2.287547843961943, -2.2843119255840652,
    -2.2810736425202931, -2.2778330094237909, -2.2745900409520026,
    -2.2713447517665557, -2.2680971565331718, -2.2648472699215727,
    -2.261595106605391, -2.2583406812620774, -2.2550840085728137,
    -2.2518251032224157, -2.2485639798992487, -2.2453006532951258,
    -2.2420351381052304, -2.2387674490280132, -2.2354976007651084,
    -2.2322256080212375, -2.228951485504123, -2.2256752479243946,
    -2.2223969099954948, -2.2191164864335948, -2.2158339919575005,
    -2.2125494412885578, -2.2092628491505648, -2.2059742302696836,
    -2.2026835993743421, -2.1993909711951485, -2.1960963604647992,
    -2.1927997819179881, -2.189501250291312, -2.1862007803231878,
    -2.1828983867537479, -2.1795940843247661, -2.1762878877795551,
    -2.1729798118628763, -2.1696698713208571, -2.1663580809008893,
    -2.163044455351546, -2.1597290094224886, -2.1564117578643747,
    -2.1530927154287687, -2.149771896868053, -2.1464493169353336,
    -2.1431249903843481, -2.1397989319693851, -2.136471156445181,
    -2.1331416785668385, -2.1298105130897289, -2.1264776747694123,
    -2.1231431783615324, -2.1198070386217411, -2.1164692703055961,
    -2.1131298881684772, -2.1097889069654965, -2.1064463414514023,
    -2.1031022063804956, -2.0997565165065355, -2.0964092865826518,
    -2.0930605313612514, -2.0897102655939328, -2.0863585040313914,
    -2.0830052614233345, -2.0796505525183853, -2.0762943920639989,
    -2.0729367948063695, -2.0695777754903415, -2.0662173488593147,
    -2.0628555296551667, -2.0594923326181487, -2.056127772486807,
    -2.0527618639978877, -2.0493946218862478, -2.0460260608847678,
    -2.04265619572426, -2.0392850411333807, -2.0359126118385396,
    -2.0325389225638117, -2.0291639880308487, -2.025787822958784,
    -2.022410442064154, -2.0190318600607995, -2.0156520916597795,
    -2.012271151569287, -2.0088890544945537, -2.005505815137762,
    -2.0021214481979612, -1.9987359683709718, -1.9953493903493034,
    -1.9919617288220586, -1.9885729984748552, -1.9851832139897243,
    -1.9817923900450334, -1.9784005413153931, -1.9750076824715643,
    -1.9716138281803819, -1.9682189931046534, -1.9648231919030799,
    -1.9614264392301632, -1.9580287497361204, -1.9546301380667939,
    -1.9512306188635653, -1.9478302067632662, -1.944428916398091,
    -1.9410267623955111, -1.9376237593781827, -1.9342199219638636,
    -1.9308152647653238, -1.9274098023902582, -1.9240035494411982,
    -1.9205965205154292, -1.9171887302048969, -1.9137801930961238,
    -1.9103709237701216, -1.9069609368023035, -1.9035502467624,
    -1.9001388682143674, -1.8967268157163062, -1.8933141038203685,
    -1.8899007470726796, -1.8864867600132409, -1.8830721571758544,
    -1.8796569530880283, -1.8762411622708943, -1.8728247992391212,
    -1.8694078785008266, -1.8659904145574941, -1.8625724219038862,
    -1.8591539150279563, -1.8557349084107657, -1.8523154165263969,
    -1.8488954538418674, -1.8454750348170443, -1.8420541739045606,
    -1.8386328855497269, -1.8352111841904488, -1.8317890842571409,
    -1.8283666001726391, -1.8249437463521196, -1.8215205372030128,
    -1.8180969871249171, -1.8146731105095144, -1.8112489217404875,
    -1.8078244351934316, -1.804399665235775, -1.8009746262266912,
    -1.7975493325170158, -1.7941237984491589, -1.7906980383570286,
    -1.7872720665659396, -1.7838458973925335, -1.780419545144692,
    -1.7769930241214573, -1.7735663486129449, -1.7701395329002594,
    -1.7667125912554165, -1.763285537941254, -1.7598583872113496,
    -1.7564311533099424, -1.7530038504718446, -1.7495764929223574,
    -1.7461490948771974, -1.7427216705424025, -1.7392942341142561,
    -1.7358667997792048, -1.7324393817137711, -1.729011994084477,
    -1.725584651047757, -1.7221573667498804, -1.7187301553268648,
    -1.7153030309043964, -1.7118760075977522, -1.7084490995117083,
    -1.7050223207404704, -1.7015956853675833, -1.6981692074658521,
    -1.6947429010972659, -1.6913167803129088, -1.6878908591528838,
    -1.6844651516462303, -1.6810396718108453, -1.6776144336534007,
    -1.6741894511692628, -1.6707647383424127, -1.6673403091453669,
    -1.6639161775390954, -1.6604923574729411, -1.6570688628845438,
    -1.6536457076997557, -1.6502229058325637, -1.64680047118501,
    -1.6433784176471136, -1.6399567590967878, -1.6365355093997644,
    -1.6331146824095129, -1.6296942919671609, -1.626274351901418,
    -1.6228548760284935, -1.6194358781520197, -1.6160173720629729,
    -1.612599371539597, -1.6091818903473223, -1.6057649422386882,
    -1.6023485409532665, -1.5989327002175835, -1.5955174337450388,
    -1.5921027552358344, -1.5886886783768897, -1.5852752168417683,
    -1.5818623842906019, -1.57845019437001, -1.5750386607130245,
    -1.5716277969390138, -1.5682176166536026, -1.5648081334486013,
    -1.5613993609019228, -1.5579913125775113, -1.5545840020252646,
    -1.5511774427809562, -1.5477716483661619, -1.5443666322881837,
    -1.5409624080399724, -1.5375589891000536, -1.5341563889324528,
    -1.5307546209866181, -1.5273536986973477, -1.5239536354847134,
    -1.5205544447539845, -1.5171561398955573, -1.513758734284876,
    -1.5103622412823616, -1.5069666742333356, -1.5035720464679461,
    -1.5001783713010957, -1.4967856620323658, -1.4933939319459428,
    -1.4900031943105465, -1.4866134623793543, -1.4832247493899295,
    -1.4798370685641489, -1.4764504331081265, -1.4730648562121449,
    -1.4696803510505796, -1.4662969307818279, -1.4629146085482359,
    -1.4595333974760272, -1.4561533106752291, -1.4527743612396022,
    -1.449396562246569, -1.4460199267571407, -1.4426444678158452,
    -1.4392701984506588, -1.4358971316729328, -1.4325252804773223,
    -1.4291546578417165, -1.4257852767271664, -1.4224171500778167,
    -1.4190502908208322, -1.4156847118663314, -1.4123204261073119,
    -1.4089574464195831, -1.405595785661697, -1.402235456674878,
    -1.3988764722829514, -1.3955188452922764, -1.3921625884916771,
    -1.3888077146523703, -1.3854542365279003, -1.3821021668540694,
    -1.3787515183488674, -1.3754023037124055, -1.3720545356268463,
    -1.3687082267563375, -1.3653633897469417, -1.3620200372265709,
    -1.3586781818049185, -1.3553378360733903, -1.3519990126050376,
    -1.3486617239544931, -1.3453259826579005, -1.3419918012328478,
    -1.3386591921783035, -1.3353281679745472, -1.3319987410831051,
    -1.3286709239466834, -1.3253447289891025, -1.3220201686152291,
    -1.3186972552109153, -1.3153760011429285, -1.3120564187588881,
    -1.3087385203872013, -1.3054223183369951, -1.3021078248980551,
    -1.298795052340759, -1.2954840129160121, -1.2921747188551831,
    -1.2888671823700411, -1.28556141565269, -1.2822574308755059,
    -1.2789552401910731, -1.275654855732121, -1.2723562896114604,
    -1.2690595539219203, -1.2657646607362858, -1.2624716221072352,
    -1.2591804500672759, -1.2558911566286848, -1.2526037537834429,
    -1.2493182535031773, -1.2460346677390941, -1.2427530084219223,
    -1.2394732874618477, -1.2361955167484544, -1.2329197081506624,
    -1.2296458735166671, -1.2263740246738786, -1.22310417342886,
    -1.2198363315672687, -1.2165705108537952, -1.2133067230321029,
    -1.2100449798247679, -1.2067852929332201, -1.2035276740376837,
    -1.2002721347971177, -1.1970186868491552, -1.193767341810047,
    -1.1905181112746, -1.1872710068161221, -1.1840260399863594,
    -1.1807832223154426, -1.1775425653118243, -1.1743040804622251,
    -1.1710677792315733, -1.1678336730629475, -1.164601773377522,
    -1.1613720915745058, -1.1581446390310872, -1.1549194271023797,
    -1.1516964671213592, -1.1484757703988149, -1.1452573482232868,
    -1.1420412118610135, -1.1388273725558753, -1.1356158415293383,
    -1.1324066299803981, -1.129199749085527, -1.1259952099986159,
    -1.1227930238509214, -1.11959320175101, -1.116395754784705,
    -1.11320069401503, -1.1100080304821569, -1.106817775203351,
    -1.1036299391729163, -1.1004445333621424, -1.0972615687192542,
    -1.0940810561693526, -1.0909030066143672, -1.087727430933,
    -1.084554339980675, -1.0813837445894834, -1.0782156555681341,
    -1.0750500837018993, -1.0718870397525633, -1.0687265344583732,
    -1.0655685785339823, -1.0624131826704049, -1.0592603575349604,
    -1.0561101137712239, -1.0529624619989781, -1.0498174128141589,
    -1.0466749767888066, -1.0435351644710176, -1.0403979863848913,
    -1.0372634530304832, -1.0341315748837547, -1.0310023623965219,
    -1.0278758259964076, -1.0247519760867956, -1.0216308230467759,
    -1.0185123772311024, -1.0153966489701396, -1.0122836485698163,
    -1.0091733863115797, -1.0060658724523448, -1.0029611172244484,
    -0.99985913083560118, -0.99675992346884068, -0.99366350528248559,
    -0.99056988641008692, -0.98747907696038228, -0.984391087017251,
    -0.98130592663966754, -0.97822360586165269, -0.97514413469223116,
    -0.97206752311538736, -0.96899378109001422, -0.96592291854987322,
    -0.96285494540354932, -0.959789871534404, -0.95672770680053132,
    -0.95366846103471425, -0.95061214404438177, -0.94755876561156138,
    -0.94450833549284119, -0.94146086341931934, -0.93841635909656751,
    -0.935374832204583, -0.93233629239774862, -0.92930074930478923,
    -0.9262682125287296, -0.92323869164685068, -0.92021219621065,
    -0.91718873574579873, -0.91416831975209956, -0.91115095770344545,
    -0.90813665904778029, -0.9051254332070553, -0.90211728957718962,
    -0.89911223752802938, -0.89611028640330925, -0.893111445520608,
    -0.89011572417131335, -0.88712313162057876, -0.88413367710728674,
    -0.88114736984400588, -0.87816421901695674, -0.8751842337859681,
    -0.87220742328444145, -0.86923379661931022 };

  static const double dv1[1001] = { 1.0, 0.99999832219578444,
    0.99999328879439753, 0.99998489982961969, 0.99997315535775078,
    0.99995805545761007, 0.99993960023053541, 0.99991778980038448,
    0.9998926243135281, 0.99986410393885528, 0.99983222886776857,
    0.99979699931418309, 0.99975841551452493, 0.999716477727728,
    0.999671186235234, 0.99962254134098849, 0.99957054337143847,
    0.99951519267553013, 0.99945648962470512, 0.99939443461289945,
    0.99932902805653712, 0.99926027039452925, 0.99918816208826888,
    0.9991127036216283, 0.9990338955009529, 0.99895173825506078,
    0.99886623243523232, 0.99877737861521287, 0.99868517739120144,
    0.99858962938184992, 0.99849073522825538, 0.998388495593957,
    0.99828291116492762, 0.9981739826495708, 0.99806171077871342,
    0.99794609630559883, 0.99782714000588324, 0.99770484267762594,
    0.99757920514128484, 0.997450228239709, 0.99731791283813065,
    0.99718225982415976, 0.9970432701077746, 0.996900944621316,
    0.99675528431947769, 0.99660629017929969, 0.99645396320016,
    0.99629830440376488, 0.9961393148341422, 0.995976995557631,
    0.995811347662874, 0.99564237226080765, 0.99547007048465164,
    0.995294443489902, 0.99511549245432052, 0.99493321857792272,
    0.99474762308297093, 0.99455870721396222, 0.99436647223761809,
    0.99417091944287417, 0.99397205014086987, 0.99376986566493708,
    0.99356436737058706, 0.99335555663550279, 0.99314343485952461,
    0.99292800346463894, 0.99270926389496783, 0.99248721761675474,
    0.99226186611835321, 0.99203321091021579, 0.991801253524879,
    0.99156599551695113, 0.99132743846309967, 0.99108558396203894,
    0.99084043363451568, 0.9905919891232946, 0.99034025209314591,
    0.99008522423083156, 0.98982690724509048, 0.98956530286662336,
    0.98930041284808046, 0.98903223896404435, 0.98876078301101733,
    0.98848604680740471, 0.98820803219350073, 0.9879267410314716,
    0.98764217520534192, 0.98735433662097727, 0.98706322720606965,
    0.986768848910119, 0.98647120370441976, 0.98617029358204278,
    0.9858661205578183, 0.98555868666831958, 0.9852479939718467,
    0.98493404454840749, 0.98461684049970166, 0.98429638394910268,
    0.98397267704163882, 0.98364572194397848, 0.98331552084440765,
    0.982982075952815, 0.98264538950067171, 0.9823054637410138,
    0.9819623009484223, 0.98161590341900429, 0.98126627347037465,
    0.98091341344163518, 0.980557325693357, 0.98019801260755846,
    0.97983547658768677, 0.97946972005859767, 0.979100745466535,
    0.97872855527910918, 0.97835315198527883, 0.97797453809532775,
    0.97759271614084509, 0.97720768867470353, 0.97681945827103855,
    0.97642802752522617, 0.97603339905386255, 0.97563557549474,
    0.97523455950682647, 0.97483035377024263, 0.97442296098624126,
    0.97401238387718081, 0.97359862518650631, 0.97318168767872426,
    0.97276157413938147, 0.97233828737503847, 0.97191183021325056,
    0.97148220550253961, 0.97104941611237328, 0.97061346493314038,
    0.97017435487612536, 0.9697320888734855, 0.96928666987822609,
    0.96883810086417532, 0.96838638482595885, 0.96793152477897659,
    0.96747352375937612, 0.96701238482402663, 0.96654811105049576,
    0.96608070553702152, 0.96561017140248773, 0.96513651178639681,
    0.96465972984884474, 0.96417982877049391, 0.9636968117525474,
    0.96321068201672078, 0.9627214428052161, 0.96222909738069473,
    0.96173364902625047, 0.961235101045381, 0.96073345676196165,
    0.96022871952021616, 0.95972089268469, 0.95920997964022148,
    0.95869598379191445, 0.95817890856510834, 0.95765875740535045,
    0.95713553377836746, 0.95660924117003632, 0.95607988308635439,
    0.95554746305341032, 0.95501198461735626, 0.95447345134437545,
    0.95393186682065512, 0.95338723465235553, 0.95283955846557822,
    0.95228884190633845, 0.95173508864053324, 0.95117830235391176,
    0.95061848675204219, 0.95005564556028366, 0.94948978252375427,
    0.94892090140729835, 0.94834900599545779, 0.94777410009243668,
    0.9471961875220748, 0.94661527212780949, 0.94603135777264846,
    0.94544444833913666, 0.94485454772932143, 0.94426165986472255,
    0.94366578868629836, 0.94306693815441334, 0.94246511224880458,
    0.941860314968549, 0.94125255033203059, 0.94064182237690508,
    0.94002813516006822, 0.93941149275761993, 0.93879189926483408,
    0.93816935879611874, 0.93754387548498719, 0.93691545348402028,
    0.93628409696483272, 0.93564981011803883, 0.93501259715321661,
    0.93437246229887372, 0.93372940980241093, 0.9330834439300888,
    0.93243456896698962, 0.93178278921698343, 0.93112810900269238,
    0.93047053266545243, 0.92981006456528026, 0.92914670908083541,
    0.928480470609383, 0.92781135356675837, 0.92713936238733108,
    0.92646450152396509, 0.92578677544798516, 0.92510618864913607,
    0.92442274563554938, 0.92373645093370182, 0.92304730908838029,
    0.92235532466264358, 0.92166050223778251, 0.920962846413285,
    0.92026236180679555, 0.91955905305407715, 0.9188529248089734,
    0.91814398174336886, 0.91743222854715134, 0.9167176699281715,
    0.91600031061220555, 0.91528015534291385, 0.9145572088818027,
    0.91383147600818515, 0.91310296151913994, 0.91237167022947263,
    0.91163760697167573, 0.91090077659588742, 0.91016118396985246,
    0.90941883397888057, 0.90867373152580722, 0.907925881530952,
    0.90717528893207722, 0.90642195868434861, 0.90566589576029255,
    0.90490710514975492, 0.90414559185986121, 0.90338136091497323,
    0.90261441735664749, 0.90184476624359455, 0.90107241265163618,
    0.90029736167366348, 0.89951961841959338, 0.89873918801632924,
    0.897956075607715, 0.89717028635449436, 0.89638182543426714,
    0.89559069804144742, 0.894796909387219, 0.89400046469949312,
    0.89320136922286542, 0.89239962821857077, 0.8915952469644417,
    0.89078823075486324, 0.88997858490072979, 0.88916631472940066,
    0.88835142558465574, 0.88753392282665222, 0.88671381183187858,
    0.88589109799311161, 0.88506578671937064, 0.88423788343587306,
    0.88340739358399012, 0.88257432262120039, 0.88173867602104528,
    0.88090045927308447, 0.880059677882849, 0.87921633737179683,
    0.87837044327726665, 0.877522001152432, 0.87667101656625579,
    0.87581749510344309, 0.87496144236439621, 0.87410286396516768,
    0.87324176553741384, 0.87237815272834829, 0.871512031200695,
    0.870643406632642, 0.86977228471779389, 0.868898671165125,
    0.86802257169893182, 0.86714399205878612, 0.86626293799948784,
    0.86537941529101625, 0.86449342971848342, 0.863604987082086,
    0.862714093197057, 0.86182075389361879, 0.86092497501693332,
    0.86002676242705478, 0.85912612199888239, 0.85822305962210854,
    0.85731758120117407, 0.8564096926552166, 0.8554993999180226,
    0.85458670893797972, 0.85367162567802546, 0.85275415611559879,
    0.85183430624259182, 0.85091208206529967, 0.84998748960436965,
    0.84906053489475353, 0.84813122398565721, 0.84719956294049059,
    0.84626555783681645, 0.84532921476630318, 0.84439053983467116,
    0.84344953916164556, 0.842506218880903, 0.84156058514002419,
    0.84061264410043979, 0.83966240193738251, 0.83870986483983434,
    0.837755039010477, 0.83679793066564, 0.83583854603524887,
    0.83487689136277587, 0.83391297290518662, 0.832946796932889,
    0.83197836972968231, 0.831007697592705, 0.83003478683238285,
    0.82905964377237706, 0.82808227474953233, 0.82710268611382443,
    0.82612088422830932, 0.82513687546906778, 0.82415066622515643,
    0.82316226289855354, 0.82217167190410589, 0.82117889966947744,
    0.82018395263509514, 0.8191868372540968, 0.81818755999227821,
    0.81718612732803975, 0.81618254575233207, 0.815176821768605,
    0.81416896189275323, 0.81315897265306125, 0.81214686059015229,
    0.81113263225693244, 0.81011629421853848, 0.80909785305228332,
    0.808077315347602, 0.8070546877059972, 0.80602997674098609,
    0.805003189078046, 0.80397433135455887, 0.80294341021975824,
    0.80191043233467352, 0.80087540437207649, 0.79983833301642593,
    0.79879922496381306, 0.797758086921907, 0.79671492560989843,
    0.7956697477584469, 0.7946225601096234, 0.79357336941685708,
    0.7925221824448776, 0.79146900596966274, 0.79041384677838056,
    0.78935671166933441, 0.78829760745190836, 0.78723654094651052,
    0.786173518984516, 0.78510854840821465, 0.7840416360707515,
    0.78297278883607258, 0.78190201357886824, 0.78082931718451709,
    0.77975470654902956, 0.77867818857899262, 0.77759977019151061,
    0.77651945831415259, 0.77543725988489209, 0.77435318185205337,
    0.77326723117425233, 0.7721794148203418, 0.771089739769353,
    0.7699982130104388, 0.76890484154281813, 0.76780963237571787,
    0.76671259252831458, 0.76561372902967917, 0.7645130489187183,
    0.76341055924411816, 0.7623062670642855, 0.76120017944729135,
    0.760092303470813, 0.758982646222076, 0.75787121479779684,
    0.75675801630412476, 0.75564305785658514, 0.7545263465800196,
    0.75340788960852922, 0.7522876940854164, 0.75116576716312655,
    0.7500421160031896, 0.74891674777616213, 0.74778966966156935,
    0.746660888847846, 0.74553041253227859, 0.74439824792094533,
    0.74326440222866019, 0.7421288826789123, 0.74099169650380736,
    0.73985285094401021, 0.7387123532486839, 0.73757021067543338,
    0.73642643049024414, 0.73528101996742468, 0.73413398638954763,
    0.73298533704738922, 0.73183507923987157, 0.730683220274003,
    0.72952976746481868, 0.72837472813532023, 0.72721810961642008,
    0.72605991924687607, 0.72490016437323823, 0.72373885234978486,
    0.72257599053846433, 0.72141158630883684, 0.72024564703801131,
    0.71907818011058977, 0.71790919291860489, 0.71673869286146041,
    0.7155666873458727, 0.71439318378580852, 0.713218189602428,
    0.71204171222402191, 0.71086375908595256, 0.70968433763059424,
    0.70850345530727277, 0.70732111957220445, 0.70613733788843758,
    0.70495211772579069, 0.70376546656079142, 0.70257739187661961,
    0.70138790116304328, 0.7001970019163597, 0.69900470163933459,
    0.69781100784114225, 0.69661592803730443, 0.6954194697496292,
    0.69422164050615154, 0.69302244784107114, 0.69182189929469406,
    0.69062000241336841, 0.68941676474942748, 0.68821219386112564,
    0.68700629731257878, 0.68579908267370482, 0.68459055752016029,
    0.68338072943328088, 0.68216960600001952, 0.68095719481288675,
    0.67974350346988777, 0.678528539574464, 0.677312310735428, 0.676094824566906,
    0.67487608868827564, 0.6736561107241037, 0.67243489830408565,
    0.67121245906298477, 0.66998880064057009, 0.66876393068155582,
    0.66753785683553868, 0.66631058675693844, 0.66508212810493494,
    0.66385248854340706, 0.66262167574087227, 0.6613896973704233,
    0.66015656110966858, 0.658922274640669, 0.65768684564987789,
    0.65645028182807852, 0.65521259087032258, 0.65397378047586885,
    0.65273385834812192, 0.65149283219456933, 0.65025070972672183,
    0.64900749866004936, 0.64776320671392129, 0.64651784161154435,
    0.64527141107990016, 0.64402392284968357, 0.642775384655242,
    0.641525804234513, 0.64027518932896088, 0.63902354768351866,
    0.63777088704652263, 0.63651721516965221, 0.6352625398078684,
    0.63400686871935064, 0.63275020966543627, 0.63149257041055806,
    0.63023395872218235, 0.628974382370747, 0.62771384912960015,
    0.6264523667749381, 0.62518994308574261, 0.62392658584371985,
    0.6226623028332392, 0.62139710184126884, 0.62013099065731625,
    0.61886397707336549, 0.61759606888381524, 0.61632727388541686,
    0.61505759987721165, 0.61378705466047068, 0.61251564603863173,
    0.61124338181723736, 0.60997026980387259, 0.6086963178081044,
    0.6074215336414186, 0.60614592511715815, 0.604869500050461,
    0.60359226625819851, 0.60231423155891406, 0.60103540377275977,
    0.59975579072143514, 0.59847540022812662, 0.597194240117443,
    0.59591231821535573, 0.59462964234913585, 0.59334622034729267,
    0.59206206003951123, 0.59077716925659207, 0.58949155583038648,
    0.5882052275937375, 0.58691819238041676, 0.58563045802506253,
    0.58434203236311866, 0.58305292323077162, 0.58176313846489,
    0.58047268590296164, 0.57918157338303233, 0.5778898087436446,
    0.57659739982377467, 0.57530435446277206, 0.57401068050029658,
    0.5727163857762585, 0.57142147813075428, 0.5701259654040074,
    0.56882985543630527, 0.56753315606793764, 0.56623587513913609,
    0.56493802049001107, 0.56363959996049073, 0.56234062139026042,
    0.56104109261869983, 0.559741021484822, 0.55844041582721127,
    0.55713928348396347, 0.55583763229262251, 0.55453547009012039,
    0.55323280471271452, 0.55192964399592781, 0.55062599577448612,
    0.54932186788225745, 0.54801726815219121, 0.54671220441625568,
    0.54540668450537777, 0.54410071624938128, 0.54279430747692625,
    0.54148746601544751, 0.54018019969109377, 0.53887251632866562,
    0.53756442375155544, 0.536255929781687, 0.53494704223945277,
    0.53363776894365345, 0.53232811771143829, 0.531018096358243,
    0.52970771269772887, 0.52839697454172252, 0.52708588970015469,
    0.52577446598099964, 0.52446271119021493, 0.52315063313167964,
    0.5218382396071346, 0.52052553841612126, 0.51921253735592188,
    0.51789924422149813, 0.51658566680543128, 0.51527181289786128,
    0.51395769028642635, 0.512643306756203, 0.51132867008964555,
    0.51001378806652575, 0.50869866846387257, 0.50738331905591172,
    0.50606774761400675, 0.504751961906597, 0.50343596969913884,
    0.50211977875404556, 0.50080339683062725, 0.49948683168503027,
    0.49817009107017862, 0.49685318273571305, 0.49553611442793133,
    0.49421889388972956, 0.4929015288605415, 0.49158402707627863,
    0.49026639626927193, 0.4889486441682111, 0.48763077849808556,
    0.48631280698012508, 0.48499473733174059, 0.483676577266464,
    0.48235833449388987, 0.48104001671961583, 0.47972163164518322,
    0.47840318696801859, 0.47708469038137397, 0.4757661495742681,
    0.47444757223142753, 0.47312896603322768, 0.471810338655635,
    0.47049169777014582, 0.46917305104373, 0.46785440613877127,
    0.46653577071300895, 0.46521715241947825, 0.46389855890645454,
    0.46257999781739167, 0.46126147679086582, 0.45994300346051636,
    0.4586245854549878, 0.45730623039787177, 0.45598794590764891,
    0.45466973959763046, 0.45335161907590066, 0.452033591945259,
    0.45071566580316197, 0.44939784824166507, 0.44808014684736641,
    0.44676256920134771, 0.44544512287911703, 0.44412781545055163,
    0.44281065447984042, 0.44149364752542647, 0.44017680213995009,
    0.438860125870191, 0.43754362625701149, 0.43622731083529953,
    0.43491118713391169, 0.43359526267561582, 0.43227954497703475,
    0.43096404154858936, 0.42964875989444135, 0.42833370751243721,
    0.42701889189405151, 0.42570432052433027, 0.42439000088183493,
    0.42307594043858537, 0.42176214666000422, 0.4204486270048603,
    0.41913538892521268, 0.41782243986635531, 0.41650978726675919,
    0.41519743855801888, 0.41388540116479522, 0.41257368250475945,
    0.41126228998853864, 0.40995123101966008, 0.40864051299449411,
    0.40733014330220135, 0.40602012932467496, 0.40471047843648694,
    0.40340119800483254, 0.40209229538947555, 0.40078377794269227,
    0.39947565300921811, 0.39816792792619166, 0.39686061002310075,
    0.39555370662172651, 0.39424722503609128, 0.39294117257240174,
    0.39163555652899573, 0.39033038419628763, 0.38902566285671397,
    0.38772139978468084, 0.38641760224650745, 0.38511427750037391,
    0.38381143279626739, 0.38250907537592738, 0.38120721247279288,
    0.37990585131194871, 0.378604999110072, 0.3773046630753788,
    0.37600485040757059, 0.37470556829778118, 0.37340682392852437,
    0.37210862447364024, 0.37081097709824196, 0.36951388895866383,
    0.36821736720240789, 0.36692141896809183, 0.36562605138539628,
    0.36433127157501249, 0.36303708664858941, 0.36174350370868269,
    0.36045052984870141, 0.35915817215285673, 0.35786643769610932,
    0.35657533354411886, 0.35528486675319088, 0.35399504437022589,
    0.35270587343266768, 0.35141736096845178, 0.350129513995955,
    0.34884233952394283, 0.34755584455151944, 0.3462700360680761,
    0.34498492105324075, 0.34370050647682671, 0.34241679929878266,
    0.34113380646914138, 0.33985153492796943, 0.33856999160531714,
    0.33728918342116804, 0.3360091172853889, 0.33472980009767955,
    0.33345123874752308, 0.33217344011413541, 0.33089641106641693,
    0.3296201584629011, 0.32834468915170656, 0.32707000997048713,
    0.32579612774638195, 0.3245230492959672, 0.32325078142520663,
    0.32197933092940256, 0.32070870459314715, 0.31943890919027385,
    0.31816995148380861, 0.31690183822592127, 0.3156345761578771,
    0.31436817200998951, 0.31310263250157022, 0.31183796434088284,
    0.31057417422509387, 0.30931126884022542, 0.30804925486110729,
    0.30678813895132923, 0.30552792776319448, 0.30426862793767107,
    0.30301024610434557, 0.301752788881375, 0.3004962628754414,
    0.29924067468170307, 0.29798603088375, 0.29673233805355481,
    0.29547960275142809, 0.29422783152597165, 0.29297703091403143,
    0.29172720744065206, 0.29047836761903129, 0.28923051795047294,
    0.28798366492434185, 0.286737815018018, 0.28549297469685109,
    0.284249150414115, 0.28300634861096319, 0.28176457571638214,
    0.28052383814714771, 0.27928414230777932, 0.27804549459049527,
    0.2768079013751692, 0.27557136902928386, 0.27433590390788742,
    0.27310151235354996, 0.27186820069631823, 0.27063597525367183,
    0.26940484233047951, 0.26817480821895645, 0.26694587919861812,
    0.265718061536239, 0.26449136148580837, 0.26326578528848643,
    0.26204133917256323, 0.26081802935341308, 0.25959586203345331,
    0.25837484340210143, 0.25715497963573164, 0.25593627689763332,
    0.25471874133796862, 0.25350237909372947, 0.25228719628869639,
    0.25107319903339587, 0.24986039342505925, 0.24864878554758033,
    0.24743838147147454, 0.24622918725383702, 0.24502120893830129,
    0.2438144525549987, 0.2426089241205171, 0.2414046296378595,
    0.24020157509640455, 0.23899976647186494, 0.23779920972624671,
    0.23659991080781032, 0.23540187565102888, 0.23420511017654924,
    0.23300962029115216, 0.23181541188771088, 0.23062249084515377,
    0.22943086302842344, 0.22824053428843741, 0.22705151046204997,
    0.22586379737201198, 0.22467740082693233, 0.22349232662123902,
    0.22230858053514116, 0.22112616833458953, 0.21994509577123919,
    0.21876536858241027, 0.2175869924910504, 0.21640997320569727,
    0.21523431642043966, 0.21406002781488082, 0.212887113054101,
    0.21171557778861869, 0.21054542765435508, 0.20937666827259666,
    0.20820930524995718, 0.207043344178342, 0.20587879063491119,
    0.20471565018204274, 0.20355392836729644, 0.20239363072337779,
    0.2012347627681014, 0.2000773300043564, 0.1989213379200688,
    0.19776679198816732, 0.1966136976665471, 0.19546206039803501,
    0.19431188561035423, 0.19316317871608929, 0.19201594511265052,
    0.19087019018224027, 0.1897259192918184, 0.18858313779306637,
    0.18744185102235469, 0.18630206430070814, 0.18516378293377178,
    0.18402701221177653, 0.18289175740950653, 0.18175802378626471,
    0.18062581658584045, 0.1794951410364754, 0.17836600235083061,
    0.17723840572595398, 0.17611235634324687, 0.17498785936843222,
    0.17386491995152145, 0.17274354322678281, 0.1716237343127083,
    0.1705054983119827, 0.1693888403114506, 0.16827376538208585,
    0.16716027857895879, 0.16604838494120655, 0.16493808949199998,
    0.16382939723851314, 0.16272231317189351, 0.16161684226722975,
    0.16051298948352116, 0.15941075976364902, 0.15831015803434356,
    0.15721118920615598, 0.15611385817342738, 0.15501816981425925,
    0.15392412899048419, 0.15283174054763496, 0.15174100931491727,
    0.1506519401051781, 0.1495645377148791, 0.14847880692406573,
    0.14739475249633971, 0.14631237917883036, 0.14523169170216471,
    0.14415269478044168, 0.14307539311120157, 0.14199979137540003,
    0.14092589423737933, 0.13985370634484035, 0.1387832323288162,
    0.13771447680364388, 0.13664744436693779, 0.13558213959956253,
    0.13451856706560619, 0.13345673131235306, 0.13239663687025818,
    0.13133828825292035, 0.13028168995705522, 0.129226846462471,
    0.12817376223204141, 0.12712244171167997, 0.12607288933031494,
    0.12502510949986342, 0.12397910661520689, 0.12293488505416494,
    0.12189244917747183, 0.12085180332875065, 0.11981295183448898,
    0.11877589900401531, 0.1177406491294731, 0.11670720648579873,
    0.11567557533069595, 0.11464575990461279, 0.1136177644307183,
    0.11259159311487828, 0.11156725014563255, 0.11054473969417224,
    0.10952406591431579, 0.10850523294248729, 0.10748824489769275,
    0.10647310588149925, 0.10545981997801027, 0.10444839125384658,
    0.10343882375812162, 0.10243112152242105, 0.10142528856078079,
    0.10042132886966637, 0.099419246427949623, 0.098419045196890459,
    0.097420729120113028, 0.096424302123586644, 0.0954297681156053,
    0.094437130986765441, 0.093446394609948233, 0.0924575628402974,
    0.091470639515199736, 0.090485628454266109, 0.0895025334593108,
    0.088521358314332943, 0.087542106785496843, 0.08656478262111221,
    0.085589389551616185, 0.084615931289554247, 0.083644411529561549,
    0.0826748339483441, 0.0817072022046614, 0.0807415199393071,
    0.079777790775091867, 0.0788160183168259, 0.077856206151300233,
    0.076898357847270074, 0.075942476955437446, 0.0749885670084342,
    0.074036631520804322, 0.073086673988987855, 0.072138697891304476,
    0.071192706687936244, 0.070248703820912292, 0.0693066927140915,
    0.068366676773148408, 0.067428659385555256, 0.066492643920567862,
    0.065558633729210142, 0.06462663214425847, 0.063696642480226121,
    0.062768668033349559, 0.061842712081572583, 0.060918777884532163,
    0.059996868683544827, 0.059076987701590727, 0.058159138143300995,
    0.057243323194943324, 0.056329546024408136, 0.055417809781195218,
    0.0545081175964007, 0.05360047258270266, 0.052694877834349306,
    0.051791336427145583, 0.050889851418440636, 0.049990425847114855,
    0.049093062733567942, 0.048197765079706745, 0.047304535868932747,
    0.046413378066130578, 0.045524294617656745, 0.044637288451326758,
    0.043752362476405522, 0.042869519583594896, 0.041988762645023346,
    0.041110094514234134, 0.040233518026176723, 0.039359035997193412,
    0.038486651225011929, 0.037616366488732823 };

  static const double dv2[1001] = { 0.0, 0.001, 0.002, 0.003, 0.004, 0.005,
    0.006, 0.007, 0.008, 0.009, 0.01, 0.011, 0.012, 0.013, 0.014, 0.015, 0.016,
    0.017, 0.018, 0.019, 0.02, 0.021, 0.022, 0.023, 0.024, 0.025, 0.026, 0.027,
    0.028, 0.029, 0.03, 0.031, 0.032, 0.033, 0.034, 0.035, 0.036, 0.037, 0.038,
    0.039, 0.04, 0.041, 0.042, 0.043, 0.044, 0.045, 0.046, 0.047, 0.048, 0.049,
    0.05, 0.051, 0.052, 0.053, 0.054, 0.055, 0.056, 0.057, 0.058, 0.059, 0.06,
    0.061, 0.062, 0.063, 0.064, 0.065, 0.066, 0.067, 0.068, 0.069, 0.07, 0.071,
    0.072, 0.073, 0.074, 0.075, 0.076, 0.077, 0.078, 0.079, 0.08, 0.081, 0.082,
    0.083, 0.084, 0.085, 0.086, 0.087, 0.088, 0.089, 0.09, 0.091, 0.092, 0.093,
    0.094, 0.095, 0.096, 0.097, 0.098, 0.099, 0.1, 0.101, 0.102, 0.103, 0.104,
    0.105, 0.106, 0.107, 0.108, 0.109, 0.11, 0.111, 0.112, 0.113, 0.114, 0.115,
    0.116, 0.117, 0.118, 0.119, 0.12, 0.121, 0.122, 0.123, 0.124, 0.125, 0.126,
    0.127, 0.128, 0.129, 0.13, 0.131, 0.132, 0.133, 0.134, 0.135, 0.136, 0.137,
    0.138, 0.139, 0.14, 0.141, 0.142, 0.143, 0.144, 0.145, 0.146, 0.147, 0.148,
    0.149, 0.15, 0.151, 0.152, 0.153, 0.154, 0.155, 0.156, 0.157, 0.158, 0.159,
    0.16, 0.161, 0.162, 0.163, 0.164, 0.165, 0.166, 0.167, 0.168, 0.169, 0.17,
    0.171, 0.172, 0.173, 0.174, 0.175, 0.176, 0.177, 0.178, 0.179, 0.18, 0.181,
    0.182, 0.183, 0.184, 0.185, 0.186, 0.187, 0.188, 0.189, 0.19, 0.191, 0.192,
    0.193, 0.194, 0.195, 0.196, 0.197, 0.198, 0.199, 0.2, 0.201, 0.202, 0.203,
    0.204, 0.205, 0.206, 0.207, 0.208, 0.209, 0.21, 0.211, 0.212, 0.213, 0.214,
    0.215, 0.216, 0.217, 0.218, 0.219, 0.22, 0.221, 0.222, 0.223, 0.224, 0.225,
    0.226, 0.227, 0.228, 0.229, 0.23, 0.231, 0.232, 0.233, 0.234, 0.235, 0.236,
    0.237, 0.238, 0.239, 0.24, 0.241, 0.242, 0.243, 0.244, 0.245, 0.246, 0.247,
    0.248, 0.249, 0.25, 0.251, 0.252, 0.253, 0.254, 0.255, 0.256, 0.257, 0.258,
    0.259, 0.26, 0.261, 0.262, 0.263, 0.264, 0.265, 0.266, 0.267, 0.268, 0.269,
    0.27, 0.271, 0.272, 0.273, 0.274, 0.275, 0.276, 0.277, 0.278, 0.279, 0.28,
    0.281, 0.282, 0.283, 0.284, 0.285, 0.286, 0.287, 0.288, 0.289, 0.29, 0.291,
    0.292, 0.293, 0.294, 0.295, 0.296, 0.297, 0.298, 0.299, 0.3, 0.301, 0.302,
    0.303, 0.304, 0.305, 0.306, 0.307, 0.308, 0.309, 0.31, 0.311, 0.312, 0.313,
    0.314, 0.315, 0.316, 0.317, 0.318, 0.319, 0.32, 0.321, 0.322, 0.323, 0.324,
    0.325, 0.326, 0.327, 0.328, 0.329, 0.33, 0.331, 0.332, 0.333, 0.334, 0.335,
    0.336, 0.337, 0.338, 0.339, 0.34, 0.341, 0.342, 0.343, 0.344, 0.345, 0.346,
    0.347, 0.348, 0.349, 0.35, 0.351, 0.352, 0.353, 0.354, 0.355, 0.356, 0.357,
    0.358, 0.359, 0.36, 0.361, 0.362, 0.363, 0.364, 0.365, 0.366, 0.367, 0.368,
    0.369, 0.37, 0.371, 0.372, 0.373, 0.374, 0.375, 0.376, 0.377, 0.378, 0.379,
    0.38, 0.381, 0.382, 0.383, 0.384, 0.385, 0.386, 0.387, 0.388, 0.389, 0.39,
    0.391, 0.392, 0.393, 0.394, 0.395, 0.396, 0.397, 0.398, 0.399, 0.4, 0.401,
    0.402, 0.403, 0.404, 0.405, 0.406, 0.407, 0.408, 0.409, 0.41, 0.411, 0.412,
    0.413, 0.414, 0.415, 0.416, 0.417, 0.418, 0.419, 0.42, 0.421, 0.422, 0.423,
    0.424, 0.425, 0.426, 0.427, 0.428, 0.429, 0.43, 0.431, 0.432, 0.433, 0.434,
    0.435, 0.436, 0.437, 0.438, 0.439, 0.44, 0.441, 0.442, 0.443, 0.444, 0.445,
    0.446, 0.447, 0.448, 0.449, 0.45, 0.451, 0.452, 0.453, 0.454, 0.455, 0.456,
    0.457, 0.458, 0.459, 0.46, 0.461, 0.462, 0.463, 0.464, 0.465, 0.466, 0.467,
    0.468, 0.469, 0.47, 0.471, 0.472, 0.473, 0.474, 0.475, 0.476, 0.477, 0.478,
    0.479, 0.48, 0.481, 0.482, 0.483, 0.484, 0.485, 0.486, 0.487, 0.488, 0.489,
    0.49, 0.491, 0.492, 0.493, 0.494, 0.495, 0.496, 0.497, 0.498, 0.499, 0.5,
    0.501, 0.502, 0.503, 0.504, 0.505, 0.506, 0.507, 0.508, 0.509, 0.51, 0.511,
    0.512, 0.513, 0.514, 0.515, 0.516, 0.517, 0.518, 0.519, 0.52, 0.521, 0.522,
    0.523, 0.524, 0.525, 0.526, 0.527, 0.528, 0.529, 0.53, 0.531, 0.532, 0.533,
    0.534, 0.535, 0.536, 0.537, 0.538, 0.539, 0.54, 0.541, 0.542, 0.543, 0.544,
    0.545, 0.546, 0.547, 0.548, 0.549, 0.55, 0.551, 0.552, 0.553, 0.554, 0.555,
    0.556, 0.557, 0.558, 0.559, 0.56, 0.561, 0.562, 0.563, 0.564, 0.565, 0.566,
    0.567, 0.568, 0.569, 0.57, 0.571, 0.572, 0.573, 0.574, 0.575, 0.576, 0.577,
    0.578, 0.579, 0.58, 0.581, 0.582, 0.583, 0.584, 0.585, 0.586, 0.587, 0.588,
    0.589, 0.59, 0.591, 0.592, 0.593, 0.594, 0.595, 0.596, 0.597, 0.598, 0.599,
    0.6, 0.601, 0.602, 0.603, 0.604, 0.605, 0.606, 0.607, 0.608, 0.609, 0.61,
    0.611, 0.612, 0.613, 0.614, 0.615, 0.616, 0.617, 0.618, 0.619, 0.62, 0.621,
    0.622, 0.623, 0.624, 0.625, 0.626, 0.627, 0.628, 0.629, 0.63, 0.631, 0.632,
    0.633, 0.634, 0.635, 0.636, 0.637, 0.638, 0.639, 0.64, 0.641, 0.642, 0.643,
    0.644, 0.645, 0.646, 0.647, 0.648, 0.649, 0.65, 0.651, 0.652, 0.653, 0.654,
    0.655, 0.656, 0.657, 0.658, 0.659, 0.66, 0.661, 0.662, 0.663, 0.664, 0.665,
    0.666, 0.667, 0.668, 0.669, 0.67, 0.671, 0.672, 0.673, 0.674, 0.675, 0.676,
    0.677, 0.678, 0.679, 0.68, 0.681, 0.682, 0.683, 0.684, 0.685, 0.686, 0.687,
    0.688, 0.689, 0.69, 0.691, 0.692, 0.693, 0.694, 0.695, 0.696, 0.697, 0.698,
    0.699, 0.7, 0.701, 0.702, 0.703, 0.704, 0.705, 0.706, 0.707, 0.708, 0.709,
    0.71, 0.711, 0.712, 0.713, 0.714, 0.715, 0.716, 0.717, 0.718, 0.719, 0.72,
    0.721, 0.722, 0.723, 0.724, 0.725, 0.726, 0.727, 0.728, 0.729, 0.73, 0.731,
    0.732, 0.733, 0.734, 0.735, 0.736, 0.737, 0.738, 0.739, 0.74, 0.741, 0.742,
    0.743, 0.744, 0.745, 0.746, 0.747, 0.748, 0.749, 0.75, 0.751, 0.752, 0.753,
    0.754, 0.755, 0.756, 0.757, 0.758, 0.759, 0.76, 0.761, 0.762, 0.763, 0.764,
    0.765, 0.766, 0.767, 0.768, 0.769, 0.77, 0.771, 0.772, 0.773, 0.774, 0.775,
    0.776, 0.777, 0.778, 0.779, 0.78, 0.781, 0.782, 0.783, 0.784, 0.785, 0.786,
    0.787, 0.788, 0.789, 0.79, 0.791, 0.792, 0.793, 0.794, 0.795, 0.796, 0.797,
    0.798, 0.799, 0.8, 0.801, 0.802, 0.803, 0.804, 0.805, 0.806, 0.807, 0.808,
    0.809, 0.81, 0.811, 0.812, 0.813, 0.814, 0.815, 0.816, 0.817, 0.818, 0.819,
    0.82, 0.821, 0.822, 0.823, 0.824, 0.825, 0.826, 0.827, 0.828, 0.829, 0.83,
    0.831, 0.832, 0.833, 0.834, 0.835, 0.836, 0.837, 0.838, 0.839, 0.84, 0.841,
    0.842, 0.843, 0.844, 0.845, 0.846, 0.847, 0.848, 0.849, 0.85, 0.851, 0.852,
    0.853, 0.854, 0.855, 0.856, 0.857, 0.858, 0.859, 0.86, 0.861, 0.862, 0.863,
    0.864, 0.865, 0.866, 0.867, 0.868, 0.869, 0.87, 0.871, 0.872, 0.873, 0.874,
    0.875, 0.876, 0.877, 0.878, 0.879, 0.88, 0.881, 0.882, 0.883, 0.884, 0.885,
    0.886, 0.887, 0.888, 0.889, 0.89, 0.891, 0.892, 0.893, 0.894, 0.895, 0.896,
    0.897, 0.898, 0.899, 0.9, 0.901, 0.902, 0.903, 0.904, 0.905, 0.906, 0.907,
    0.908, 0.909, 0.91, 0.911, 0.912, 0.913, 0.914, 0.915, 0.916, 0.917, 0.918,
    0.919, 0.92, 0.921, 0.922, 0.923, 0.924, 0.925, 0.926, 0.927, 0.928, 0.929,
    0.93, 0.931, 0.932, 0.933, 0.934, 0.935, 0.936, 0.937, 0.938, 0.939, 0.94,
    0.941, 0.942, 0.943, 0.944, 0.945, 0.946, 0.947, 0.948, 0.949, 0.95, 0.951,
    0.952, 0.953, 0.954, 0.955, 0.956, 0.957, 0.958, 0.959, 0.96, 0.961, 0.962,
    0.963, 0.964, 0.965, 0.966, 0.967, 0.968, 0.969, 0.97, 0.971, 0.972, 0.973,
    0.974, 0.975, 0.976, 0.977, 0.978, 0.979, 0.98, 0.981, 0.982, 0.983, 0.984,
    0.985, 0.986, 0.987, 0.988, 0.989, 0.99, 0.991, 0.992, 0.993, 0.994, 0.995,
    0.996, 0.997, 0.998, 0.999, 1.0 };

  rt_InitInfAndNaN();
  std::memcpy(&directivity_derivative[0], &dv[0], 1001U * sizeof(double));
  std::memcpy(&directivity[0], &dv1[0], 1001U * sizeof(double));
  std::memcpy(&sinAngle[0], &dv2[0], 1001U * sizeof(double));
  isInitialized_lookup = true;
}

// End of code generation (generate_lookup.cpp)
